=== debian/changelog ===
grfcodec (0.9.10+svn2306-1) unstable; urgency=low

  * [60e6925] New upstream release 0.9.10+svn2306.
  * [61f5b99] Add optional-upx.patch, making upx compression optional.
  * [d9464d5] Disable UPX binary compression, it is not available on all
    platforms. (Closes: #576374)
  * [27f8520] Don't Build-Depend on upx anymore.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 04 Apr 2010 14:11:22 +0200

grfcodec (0.9.10+svn2294-1) unstable; urgency=low

  * [af496d7] New upstream release 0.9.10+svn2294.
  * [51e47c9] Remove patch gcc-4.4-compile-fixes, which was imported
    upstream.
  * [1f37c17] Update the watch file to the new upstream url scheme.
  * [9c8d66d] Add some copyright holders I missed. - thanks to Alexander
    Reichle-Schmehl

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 11 Mar 2010 17:20:42 +0100

grfcodec (0.9.10+svn2247-1) unstable; urgency=low

  * Initial release (Closes: #565392)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 01 Feb 2010 12:42:13 +0100
