=== debian/control ===
Source: grfcodec
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
Homepage: http://www.ttdpatch.net/grfcodec/

Package: grfcodec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A suite of programs to modify Transport Tycoon Deluxe's GRF files
 This package provides the grfcodec, grfdiff and grfmerge commands which can
 be used to work with the GRF used by the Transport Tycoon Deluxe, TTDPatch
 and OpenTTD games.
