=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@

# Don't use dh for clean. Since the upstream Makefile generates
# dependency information before any error messages, dh_auto_clean
# sometimes thinks make distclean is supported, while it isn't. Instead,
# we use make mrproper, which does something similar.
override_dh_auto_clean:
	make mrproper
	# Remove files autogenerated by make, but not removed by make
	# mrproper.
	rm -f Makefile.local

# Extract the original SVN version from the Debian version. This ensures
# that grfcodec --help outputs a sensible version number.
VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | sed 's/Version: //')
REV=$(shell echo $(VERSION) | sed 's/^.*\+svn//' | sed 's/-[0-9]*$$//')

override_dh_auto_configure:
	echo "SVNVERSION=echo ${REV}" > Makefile.local
	# Default is to install to /usr/local
	echo "INSTALLPATH_LINUX=debian/grfcodec/usr/bin" >> Makefile.local
	# Disable UPX binary compression, it is not available on all
	# platforms.
	echo "UPX=" >> Makefile.local

override_dh_auto_install:
	# Upstream makefile doesn't create directories properly
	install -d debian/grfcodec/usr/bin
	dh_auto_install
