=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# grfcodec currently uses svn revision numbers for releases, but we keep
# the original versioning as well in case real releases start happening
# again.
# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
opts="dversionmangle=s/.*\+svn//,downloadurlmangle=s/(.*)\/index.html$/\1\/grfcodec-\1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/grfcodec/ \
r(\d+)/index.html
