=== debian/changelog ===
grfcodec (1.0.0+debian1-2) unstable; urgency=low

  * [148a2e3] Add big-endian-fix.patch, fixing grfcodec on s390.
    (Closes: #596056)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 10 Sep 2010 18:20:12 +0200

grfcodec (1.0.0+debian1-1) unstable; urgency=low

  * [30caa6a] Repackaged upstream source, to remove a duplicate file (which
    the lenny version of tar --keep-old-files doesn't like.
  * [331d12b] Update watch file to upstream's new versioning scheme.
  * [28b6b51] Mangle the +debian suffix in the watch file.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 23 Aug 2010 14:45:52 +0200

grfcodec (1.0.0-1) unstable; urgency=low

  * [bdf9657] New upstream release 1.0.0.
  * [fd3f79e] Remove svn version mangling, upstream uses sane versioning
    again.
  * [8893585] Remove our manpages, upstream now provides them.
  * [d023444] Bump Standards-Version to 3.9.1, no changes required.
  * [911d6fe] Remove optional-upx.patch, which was included upstream.
  * [5441697] Update upstream homepage.
  * [bffa177] Build-Depend on libboost-dev, it is now required.
  * [05e2298] Don't point users to the upstream homepage for docs.
  * [various] Update packaging for upstream build system changes.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 19 Aug 2010 16:00:12 +0200
