=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), libboost-dev
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
 Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
-Homepage: http://www.ttdpatch.net/grfcodec/
+Homepage: http://dev.openttdcoop.org/projects/grfcodec
 
 Package: grfcodec
 Architecture: any
