=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,7 @@
 	# mrproper.
 	rm -f Makefile.local
 
-# Extract the original SVN version from the Debian version. This ensures
-# that grfcodec --help outputs a sensible version number.
-VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | sed 's/Version: //')
-REV=$(shell echo $(VERSION) | sed 's/^.*\+svn//' | sed 's/-[0-9]*$$//')
-
 override_dh_auto_configure:
-	echo "SVNVERSION=echo ${REV}" > Makefile.local
 	# Default is to install to /usr/local
 	echo "INSTALLPATH_LINUX=debian/grfcodec/usr/bin" >> Makefile.local
 	# Disable UPX binary compression, it is not available on all
@@ -29,6 +23,10 @@
 	echo "UPX=" >> Makefile.local
 
 override_dh_auto_install:
-	# Upstream makefile doesn't create directories properly
-	install -d debian/grfcodec/usr/bin
 	dh_auto_install
+	# Remove the changelog, dh_installchangelogs will do that as
+	# well.
+	rm debian/grfcodec/usr/share/doc/grfcodec/changelog.txt
+	# Remove the COPYING file, it's just a verbatim GPL copy
+	rm debian/grfcodec/usr/share/doc/grfcodec/COPYING
+
