=== debian/changelog ===
grfcodec (5.1.1-2) unstable; urgency=low

  * [3ee0c62] Add fix-action-14-big-endian.patch.
  * [45cdd2b] Reword description to comply with policy.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 05 Aug 2011 22:32:42 +0200

grfcodec (5.1.1-1) unstable; urgency=low

  * [a9f555f] New upstream release 5.1.1.
  * [9227de5] Conflict and replace nforenum, which is included with grfcodec
    now.
  * [54aa8a6] Build-Depend on libpng-dev, to support png sprite sheets (new in
    5.1.0).
  * [90314ef] Remove big-endian-fix.patch, which was included upstream.
  * [a08a5a1] Bump Standards-Version to 3.9.2, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 21:22:40 +0200
