## grfcodec 5.1.2

=== debian/changelog ===
grfcodec (5.1.2-1) unstable; urgency=low

  * [36684f3] New upstream release 5.1.2.
  * [14174a4] Remove fix-action-14-big-endian.patch, which is included upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Dec 2011 14:43:46 +0100
