=== debian/control ===
Source: grfcodec
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
Homepage: http://dev.openttdcoop.org/projects/grfcodec

Package: grfcodec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nforenum
Conflicts: nforenum
Description: suite of programs to modify Transport Tycoon Deluxe's GRF files
 This package provides the grfcodec, grfdiff, grfmerge and nforenum commands
 which can be used to work with the GRF used by the Transport Tycoon Deluxe,
 TTDPatch and OpenTTD games.
