=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,9 @@
 	rm -f Makefile.local
 
 override_dh_auto_configure:
-	# Default is to install to /usr/local
-	echo "INSTALLPATH_LINUX=debian/grfcodec/usr/bin" >> Makefile.local
 	# Disable UPX binary compression, it is not available on all
 	# platforms.
 	echo "UPX=" >> Makefile.local
-
-override_dh_auto_install:
-	dh_auto_install
-	# Remove the changelog, dh_installchangelogs will do that as
-	# well.
-	rm debian/grfcodec/usr/share/doc/grfcodec/changelog.txt
-	# Remove the COPYING file, it's just a verbatim GPL copy
-	rm debian/grfcodec/usr/share/doc/grfcodec/COPYING
-
+	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
+	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
+	echo "prefix=/usr" >> Makefile.local
