=== debian/watch ===
--- 
+++ 
@@ -7,6 +7,6 @@
 # indexes, and uses a separate directory per release, so we do some
 # downloadurlmangle magic to get at the right file.
 # Also remove any +debian suffix for repackaged sources.
-opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/(.*)\/index.html$/\1\/grfcodec-\1-source.tar.gz/" \
+opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/\/([\d\.]*)\/index.html$/\/$1\/grfcodec-$1-source.tar.gz/" \
 http://master.binaries.openttd.org/extra/grfcodec/ \
 (\d+(?:\.\d+)*)/index.html
