## grfcodec 6.0.0

=== debian/changelog ===
grfcodec (6.0.0-1) unstable; urgency=low

  * [09f0358] New upstream release 6.0.0.
  * [b47c90b] Update copyright file and convert to use the new copyright-
    format-1.0.
  * [ecf1baa] Bump Standars-Version to 3.9.3, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Apr 2012 13:01:58 +0200
