=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
 Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec
