## grfcodec 6.0.2

=== debian/changelog ===
grfcodec (6.0.2-1) unstable; urgency=low

  * [664d753] New upstream release 6.0.2.
  * [a52bd90] Bump Standards-Version to 3.9.4, no changes required.
  * [a9ace4b] Make builds verbose.
  * [3dad868] Update watch file, upstream changed download urls.
  * [71790cd] Use flags from dpkg-buildflags.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 15 Mar 2013 16:03:42 +0100
