## grfcodec 6.0.3

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 GRFDIFF      ?= grfdiff$(EXE)
 GRFMERGE     ?= grfmerge$(EXE)
 GRFID        ?= grfid$(EXE)
+GRFSTRIP     ?= grfstrip$(EXE)
 NFORENUM     ?= nforenum$(EXE)
 ENDIAN_CHECK ?= endian_check$(EXE)
 
@@ -146,7 +147,9 @@
 
 GRFMERGESRC=grfcomm.cpp error.cpp grfmerge.cpp path.cpp
 
-GRFIDSRC=grfid.cpp
+GRFIDSRC=grfid.cpp md5.cpp
+
+GRFSTRIPSRC=grfstrip.cpp
 
 NFORENUMSRC=IDs.cpp act0.cpp act123.cpp act123_classes.cpp act5.cpp act6.cpp \
   act79D.cpp actB.cpp actF.cpp act14.cpp command.cpp data.cpp globals.cpp \
@@ -158,7 +161,7 @@
 PAL_FILES = pals/$(subst &,.bcp pals/,$(PALORDER)).bcp
 
 # deafult targets
-all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(NFORENUM)
+all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(GRFSTRIP) $(NFORENUM)
 
 remake:
 	$(_E) [CLEAN]
@@ -187,17 +190,21 @@
 	$(_E) [LD] $@
 	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
 
+$(GRFSTRIP): $(GRFSTRIPSRC:%.cpp=objs/%.o)
+	$(_E) [LD] $@
+	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
+
 $(NFORENUM): $(NFORENUMSRC:%.cpp=objs/%.o)
 	$(_E) [LD] $@
 	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
 
 
 clean:
-	$(_C)rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(NFORENUM) bundle bundles grfcodec-* src/endian.h
+	$(_C)rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(GRFSTRIP) $(NFORENUM) bundle bundles grfcodec-* src/endian.h
 
 mrproper: clean
 	$(_C)rm -f src/version.h src/grfmrg.cpp
-	$(_C)touch -ct 9901010000 ttdpal.h # don't delete it, so we don't confuse svn, but force it to be remade
+	$(_C)touch -ct 9901010000 ttdpal.h # don't delete it, so we don't confuse version control, but force it to be remade
 
 distclean: mrproper
 	$(_C)rm -rf Makefile.local
@@ -216,7 +223,7 @@
 objs/$(ENDIAN_CHECK): src/endian_check.cpp
 	$(_C) mkdir -p objs
 	$(_E) [LD] $@
-	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) src/endian_check.cpp
+	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) src/endian_check.cpp $(LDOPT)
 
 src/endian.h: objs/$(ENDIAN_CHECK)
 	$(_E) [ENDIAN] Determining endianness
@@ -236,7 +243,7 @@
 	$(_C)$(UPX) $(_Q) --best  $(@:%_r=%)
 endif
 
-release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r $(NFORENUM)_r
+.NOTPARALLEL release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r $(GRFSTRIP)_r $(NFORENUM)_r
 
 # make grfmerge.exe (as grfmrgc.bin) optimized for size instead of speed
 objs/grfmrgc.bin: objs/grfmerge.os $(GRFMERGESRC:%.cpp=objs/%.os)
@@ -288,7 +295,8 @@
 objs/grfmerge.o: src/version.h
 objs/grfmerge.os: src/version.h
 objs/grfdiff.o: src/version.h
-objs/grfidc.o: src/version.h
+objs/grfid.o: src/version.h
+objs/grfstrip.o: src/version.h
 objs/message_mgr.o: src/version.h
 objs/messages.o: src/version.h
 
@@ -301,6 +309,7 @@
 -include $(GRFMERGESRC:%.cpp=objs/%.o.d)
 -include $(GRFDIFFSRC:%.cpp=objs/%.o.d)
 -include $(GRFIDSRC:%.cpp=objs/%.o.d)
+-include $(GRFSTRIPSRC:%.cpp=objs/%.o.d)
 -include $(GRFMERGESRC:%.cpp=objs/%.os.d)
 -include $(NFORENUMSRC:%.cpp=objs/%.o.d)
 endif
