=== debian/changelog ===
grfcodec (6.0.3-1) unstable; urgency=low

  * [b229ba6] New upstream release 6.0.3.
     - Fixes crash on invalid input files. (Closes: #715995)
  * [90ec679] Add patch to pass LDFLAGS for grfmrgc.bin
  * [4979bd2] Use canonical Vcs urls (on anonscm.debian.org)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Sep 2013 10:16:05 +0200
