=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev,
  dpkg-dev (>=1.16.1)
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
-Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grfcodec.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec
 
 Package: grfcodec
