## grfcodec 6.0.4

=== debian/changelog ===
grfcodec (6.0.4-1) unstable; urgency=medium

  * [0d9b2c5] New upstream release 6.0.4.
  * [d0bef6a] Bump Standards-Version to 3.9.5, no changes required.
  * [25606fe] Remove fix-ldflags.patch, which was included upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 22 Apr 2014 17:40:18 +0200
