=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev,
  dpkg-dev (>=1.16.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grfcodec.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec
