=== debian/changelog ===
grfcodec (6.0.5-1) unstable; urgency=medium

  * [994be47] Bump Standards-Version to 3.9.6, no changes required.
  * [13c5839] New upstream release 6.0.5.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 09 May 2015 22:32:48 +0200
